community provisioning template does not work with katello
Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: Hosts   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1096297 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1096297

Per James Labocki, the provisioning template works for SAM but not katello. We should fix the upstream items to work with redhat,

both SAM nad Katello, out of hte box.

History

#1 - 05/20/2014 02:44 PM - Dominic Cleal

- Triaged set to No

https://github.com/theforeman/community-templates/pull/79 looks like WIP.

#2 - 06/05/2014 02:58 AM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#3 - 06/16/2014 02:45 PM - Eric Helms

- Target version changed from 45 to 48

#4 - 06/18/2014 02:44 PM - dustin tsang

As commented in pull-request, Foreman team suggests creation of a symlink to the the cert file instead of modifying the template.

#5 - 06/18/2014 03:25 PM - dustin tsang

new pull request created:

https://github.com/Katello/puppet-certs/pull/17

#6 - 06/18/2014 09:31 PM - dustin tsang

after talking with @Eric Helms, the candlepin-cert-consumer-latest.noarch.rpm was actually the old name of the cert rpm being created. The new cert

is derived from CA name or is configurable, so 2 things need to happen for the fix:

1) change puppet_katello override consumer_cert_rpm in katello_defaults.yml by changing katello.yml in the app config file.

2) update the template to read the consumer_cert_rpm config to derive the cert rpm path

#7 - 06/18/2014 09:32 PM - dustin tsang

- Related to Bug #4650: Katello module should set the consumer cert RPM name in the config file added

#8 - 06/18/2014 09:37 PM - dustin tsang

- Related to Bug #6282: community provisioning template needs to read from katello.yml to pick up candlepin cert rpm added

#9 - 06/26/2014 02:54 PM - dustin tsang

- Related to deleted (Bug #4650: Katello module should set the consumer cert RPM name in the config file)
#10 - 06/26/2014 02:57 PM - dustin tsang

- Status changed from New to Assigned

#11 - 06/26/2014 02:58 PM - dustin tsang

- Related to deleted (Bug #6282: community provisioning template needs to read from katello.yml to pick up candlepin cert rpm)

#12 - 06/30/2014 11:00 AM - dustin tsang

waiting for merge for https://github.com/theforeman/community-templates/pull/85 and then g2g.

#13 - 07/07/2014 07:44 AM - Eric Helms

- Target version changed from 48 to 49

#14 - 07/07/2014 11:07 AM - dustin tsang

- Status changed from Assigned to Closed

#15 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
